package com.diagbot.service.impl;

import com.alibaba.fastjson.JSON;
import com.diagbot.config.RabbitConfig;
import com.diagbot.entity.SysLog;
import com.diagbot.service.LoggerService;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 日志发送方
 * @author: gaodm
 * @time: 2018/8/2 13:51
 */
@Service
public class LoggerServiceImpl implements LoggerService {

    @Autowired
    private AmqpTemplate rabbitTemplate;

    @Override
    public void log(SysLog sysLog){
        rabbitTemplate.convertAndSend(RabbitConfig.queueName, JSON.toJSONString(sysLog));
    }
}
